//
// BeInternetCentral
// Window class
//
// (c) 1997 Hubert Figuiere
// figuiere@kagi.com
//
// 26june1997



#pragma once


#ifndef _BIC_WINDOW_H_
#define _BIC_WINDOW_H_

#include "app/TopicView.h"
#include "app/PersonalityView.h"
#include "app/EmailView.h"
#include "app/NewsView.h"
#include "app/HelpersView.h"
#include "sdk/libbic.h"

extern const uint32 STANDARD_CMD_MSG;
extern const char * CMD_IDX_LABEL;


class BICWindow
	: public BWindow
{
	public:
		BICWindow(const BPoint & pos);
virtual ~BICWindow();

virtual bool QuitRequested();
virtual void DispatchMessage(BMessage * msg, BHandler * handler);
static BMessage * MakeCommandMessage(int32 cmdIndex);
	
	private:
		void CreateMenuBar(const BRect & bounds);
		void FillTopicList(BListView * topics);
		void ExecuteCommand(BMessage * msg);
		void SelectTopic(int32 idx);
		void Save();
		
		void SaveTextField(const BMessage * msg, const key_id id, const key_attribute_id attribute);
		void PersonalityChanged(BMessage * msg);

		bool mDirty;
		TopicView * mCurrentTopicView;
		BListView * mTopics;
		
		PersonalityView * mPersonalityView;
		EmailView * mEmailView;
		NewsView * mNewsView;
		HelpersView * mHelpersView;

		BMenuItem * mPersonalityMItem;
		BMenuItem * mEmailMItem;
		BMenuItem * mNewsMItem;
		BMenuItem * mHelperMItem;
};


#endif

