//
// BeInternetCentral
// Topic List Item
//
// (c) 1997 Hubert Figuiere
// figuiere@kagi.com
//
// 27june1997


#include <stdlib.h>

#include <Rect.h>
#include <View.h>
#include <ListItem.h>

#include "TopicListItem.h"





//////////////////////////////////////////////////////////////
TopicListItem::TopicListItem()
	: BListItem(0, false)
{
	mTopic = NULL;
}




//////////////////////////////////////////////////////////////
TopicListItem::~TopicListItem()
{
	if (mTopic != NULL) {
		free(mTopic);
	}
}



//////////////////////////////////////////////////////////////
void TopicListItem::DrawItem(BView *owner,	BRect bounds, bool /*complete*/)
{
	owner->FillRect(bounds, B_SOLID_LOW);
	if (mTopic != NULL) {
		owner->DrawString(mTopic, BPoint(bounds.left + 3, bounds.bottom - 3));
	}
	if (IsSelected()) {
		owner->InvertRect(bounds);
	}
}



//////////////////////////////////////////////////////////////



//////////////////////////////////////////////////////////////
void TopicListItem::SetTopic(const char * topic)
{
	if (topic == NULL)
		return;
	if (mTopic != NULL) {
		free(mTopic);
	}
	mTopic = strdup(topic);
}



//////////////////////////////////////////////////////////////
